#!/usr/bin/env node
import r from "yargs";
import { hideBin as a } from "yargs/helpers";
import { handler as i } from "./handler.mjs";
import o from "chalk";
import { getVersion as n } from "./utils/packageInfo.mjs";
import { projectNameForm as m, templateChoices as p, templateForm as c, saveGitHistoryForm as l } from "./utils/question.mjs";
const g = () => ({
  projectName: {
    type: "string",
    alias: "p",
    describe: m.message
  },
  template: {
    type: "string",
    alias: "t",
    choices: p.map((e) => e.name),
    describe: c.message
  },
  saveGitHistory: {
    type: "boolean",
    alias: "s",
    describe: l.message
  }
}), d = (e, s) => {
  console.log(e ? o.red(e) : o.red(s.message)), process.exit(1);
}, f = "Usage: $0 [options]", h = (e, s) => {
  const t = g();
  return e.strict().usage(s).help("help").version(n()).alias("v", "version").alias("h", "help").options(t).fail(d).argv;
}, H = async () => {
  const e = r(a(process.argv)), s = await h(e, f);
  return i(s);
};
export {
  H as createCli
};
